#include "config.h"

#include <sstream>
#include <stdexcept>

#include "QueryResultsDump.hh"

namespace diskCache
{
  QueryResultsDump::
  QueryResultsDump( format_type Format )
    : QueryResults( Format, TYPE_DUMP )
  {
  }

  void QueryResultsDump::
  Append( const std::string& Entry )
  {
    static char caller[] = "diskCache::QueryResultsDump::AppendResults";
    switch ( format( ) )
    {
    case FORMAT_TCL:
      if ( m_string_result.empty( ) == false )
      {
	m_string_result += " ";
      }
      m_string_result += Entry;
      break;
    default:
      {
	std::ostringstream	msg;

	msg << caller
	    << " Unable to format result for type: " << format( )
	    << " (" << formatString( ) << ")"
	  ;
	throw std::range_error( msg.str( ) );
      }
      break;
    }
  }

  void QueryResultsDump::
  Finalize( )
  {
    switch( format( ) )
    {
    case FORMAT_TCL:
      break;
    default:
      // Do nothing
      break;
    }
  }
} // namespace - diskCache
